Bug 906155 - Revise Support for the text/plain Format in the Alert API
Revise Support for the text/plain Format in the Alert API
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.6
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-30 21:16 EST by Fernando Ribeiro
Modified: 2013-08-31 06:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:13:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Ribeiro 2013-01-30 21:16:02 EST
Description of problem:

The Alert API currently supports the text/plain format, but except when the return value is of a primitive type, returns the result of the toString() method, which is usually not proper for client consumption.

Since most clients may be interested only in the application/xml and application/json formats, dropping support for the text/plain format should be evaluated against improving it.

Version-Release number of selected component (if applicable):

4.5.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Heiko W. Rupp 2013-02-06 11:43:16 EST
Good find - I think I actually never intended to support text/plain and that this is a typo and meant text/html.

I will look into it.
Comment 2 Heiko W. Rupp 2013-02-07 04:38:05 EST
master 74e469c5b13cc5
Comment 3 Heiko W. Rupp 2013-08-31 06:13:37 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.